{{- if .Values.enabled }}
{{- $namespace := .Release.Namespace -}}
{{- $applicationName := .Values.application.name -}}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ $applicationName }}
  namespace: {{ $namespace }}
  labels:
    {{- include "storage-class-gfs.standard" . | nindent 4 }}
type: kubernetes.io/glusterfs
data:
  key: {{ .Values.heketi.secret | b64enc }}
---
{{- end }}